
   <%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
   <%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<html>
   <f:view>
      <head>
         <link href="styles.css" rel="stylesheet" type="text/css"/>
         <title><h:outputText value="#{msgs.title}"/></title>
      </head>
      <body>
          <h:form>
            <h1>Ingresse Nome e Password.</h1>
            <table>
               <tr>
                  <td>Nome:</td>
                  <td>
                     <h:inputText value="#{user.name}"/>
                  </td>
               </tr>
               <tr>
                  <td>Password:</td>
                  <td>
                     <h:inputSecret value="#{user.password}"/>
                  </td>
               </tr>
            </table>
            <p><!--Chamada metodo loguear metodo usuario-->
               <h:commandButton value="Login" action="#{user.loguear}"/>
            </p>
         </h:form>


         <br>
         <h:form>
            <h1><h:outputText value="#{msgs.enterPayment}"/></h1>
            <h:panelGrid columns="3">
               <h:outputText value="#{msgs.amount}"/>
               <h:inputText id="amount" label="#{msgs.amount}"
                     value="#{payment.amount}">
                  <f:convertNumber minFractionDigits="2"/>
               </h:inputText>
               <h:message for="amount" styleClass="errorMessage"/>

               <h:outputText value="#{msgs.creditCard}"/>
               <h:inputText id="card" label="#{msgs.creditCard}"
                     value="#{payment.card}">
                  <f:converter converterId="com.corejsf.CreditCard"/>
               </h:inputText>
               <h:message for="card" styleClass="errorMessage"/>

               <h:outputText value="#{msgs.expirationDate}"/>
               <h:inputText id="date" label="#{msgs.expirationDate}"
                     value="#{payment.date}">
                  <f:convertDateTime pattern="MM/yyyy"/>
               </h:inputText>
               <h:message for="date" styleClass="errorMessage"/>
            </h:panelGrid>
            <h:commandButton value="Process" action="process"/>
         </h:form>
         <br>         
        <h:form>
            <h:dataTable value="#{numberList}" var="number">
               <h:column>
                  <f:facet name="header">
                     <h:outputText value="#{msgs.numberHeader}"/>
                  </f:facet>
                  <h:outputText value="#{number}"/>
               </h:column>
               <h:column>
                  <f:facet name="header">
                     <h:outputText value="#{msgs.textfieldHeader}"/>
                  </f:facet>
                  <h:inputText value="#{number}" size="3"/>
               </h:column>
               <h:column>
                  <f:facet name="header">
                     <h:outputText value="#{msgs.buttonHeader}"/>
                  </f:facet>
                  <h:commandButton value="#{number}"/>
               </h:column>
               <h:column>
                  <f:facet name="header">
                     <h:outputText value="#{msgs.checkboxHeader}"/>
                  </f:facet>
                  <h:selectBooleanCheckbox value="false"/>
               </h:column>
               <h:column>
                  <f:facet name="header">
                     <h:outputText value="#{msgs.linkHeader}"/>
                  </f:facet>
                  <h:commandLink>
                     <h:outputText value="#{number}"/>
                  </h:commandLink>
               </h:column>
               <h:column>
                  <f:facet name="header">
                     <h:outputText value="#{msgs.graphicHeader}"/>
                  </f:facet>
                  <h:graphicImage value="images/dice#{number}.gif"
                     style="border: 0px"/>
               </h:column>
               <h:column>
                  <f:facet name="header">
                     <h:outputText value="#{msgs.menuHeader}"/>
                  </f:facet>
                  <h:selectOneMenu>
                     <f:selectItem itemLabel="#{number}" itemValue="#{number}"/>
                  </h:selectOneMenu>
               </h:column>
               <h:column>
                  <f:facet name="header">
                     <h:outputText value="#{msgs.radioHeader}"/>
                  </f:facet>
                  <h:selectOneRadio layout="LINE_DIRECTION" value="nextMonth">
                     <f:selectItem itemValue="yes" itemLabel="yes"/>
                     <f:selectItem itemValue="no" itemLabel="no" />
                  </h:selectOneRadio>
               </h:column>
               <h:column>
                  <f:facet name="header">
                     <h:outputText value="#{msgs.listboxHeader}"/>
                  </f:facet>
                  <h:selectOneListbox size="3">
                     <f:selectItem itemValue="si" itemLabel="si"/>
                     <f:selectItem itemValue="ainda" itemLabel="ainda"/>
                     <f:selectItem itemValue="no" itemLabel="no" />
                     <f:selectItem itemValue="ok" itemLabel="ok" />
                  </h:selectOneListbox>
               </h:column>
            </h:dataTable>
         </h:form>
         <br>

         <h:form>
            <h:dataTable value="#{tableData.names}" var="name"
               styleClass="names" headerClass="namesHeader"
               columnClasses="last,first">
               <h:column>
                  <f:facet name="header">
                     <h:outputText value="#{msgs.deleteColumnHeader}"/>
                  </f:facet>
                  <h:selectBooleanCheckbox
                     value="#{name.markedForDeletion}"
                     onchange="submit()"/>
               </h:column>

               <h:column>
                  <f:facet name="header">
                     <h:commandLink action="#{tableData.names.sortByLast}">
                        <h:outputText value="#{msgs.lastColumnHeader}"/>
                     </h:commandLink>
                  </f:facet>
                  <h:outputText value="#{name.last}, "/>
               </h:column>
               <h:column>
                  <f:facet name="header">
                     <h:commandLink action="#{tableData.names.sortByFirst}">
                        <h:outputText value="#{msgs.firstColumnHeader}"/>
                     </h:commandLink>
                  </f:facet>
                  <h:outputText value="#{name.first}"/>
               </h:column>
            </h:dataTable>
            <h:commandButton value="#{msgs.deleteButtonText}"
               action="#{tableData.deleteNames}"
               rendered="#{tableData.anyNamesMarkedForDeletion}"/>
         </h:form>
        <br>

      </body>
   </f:view>
</html>
